Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 610881 - CVE-2010-1666 python-cjson: Buffer overflow (crash) when encoding wide Unicode characters on UTF-32/UCS-4 [fedora-all]
CVE-2010-1666 python-cjson: Buffer overflow (crash) when encoding wide Unicod...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-cjson (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Felix Schwarz
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2010-1666
  Show dependency treegraph
 
Reported: 2010-07-02 12:40 EDT by Jan Lieskovsky
Modified: 2011-06-27 15:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-07-02 12:40:40 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

Forr more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=610877

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Felix Schwarz 2010-07-03 16:08:55 EDT
I'll fix it.
Comment 2 Felix Schwarz 2010-07-03 16:58:40 EDT
ok, builds are running.

I'm unsure how to proceed with respect to updates. The bug was evaluated as 'low' - does that mean I should do the usual push to testing and push it to stable a week or so afterwards? How to proceed with EPEL - should I push for a faster release as this is a security fix?
Comment 3 Fedora Update System 2010-07-03 17:12:05 EDT
python-cjson-1.0.5-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-cjson-1.0.5-5.fc13
Comment 4 Fedora Update System 2010-07-03 17:12:09 EDT
python-cjson-1.0.5-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-cjson-1.0.5-5.fc12
Comment 5 Fedora Update System 2010-07-03 17:15:22 EDT
python-cjson-1.0.5-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-cjson-1.0.5-2.el5
Comment 6 Fedora Update System 2010-07-06 13:05:16 EDT
python-cjson-1.0.5-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-cjson'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-cjson-1.0.5-5.fc12
Comment 7 Fedora Update System 2010-07-06 13:15:32 EDT
python-cjson-1.0.5-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-cjson'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-cjson-1.0.5-5.fc13
Comment 8 Fedora Update System 2010-07-21 16:00:01 EDT
python-cjson-1.0.5-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Bug Zapper 2011-06-01 10:55:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 15:19:58 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.